function changepath(t,s)

%-----------------------------------------------------------------------
% function to change path in SPM.mat files of M&M2017 data set
%
% Author:   Sandra Iglesias
% Created:  2017-11-10
% Copyright (C) 2017 Institute for Biomedical Engineering
%                    University of Zurich and ETH Zurich
%-----------------------------------------------------------------------

addpath C:\Users\Sandra' Iglesias'\Documents\Documents\code\GitTNU\software\spm12\
% spm('defaults','FMRI')
% spm_jobman('initcfg');
dirScans = 'E:\Documents_E\Seminars\M&M_Mantelstudium2017\MandM\MethodsAndModels\2017\Data\Results0001\';
maskScans = 'Sub*';
maskGLM  = {'\glm\Level1_0001', '\glm\Level1_0002', '\glm\Level1_0003'};
maskVersion = {'Arrow', 'Button Press', 'Retinotopy'};

scans = dir(fullfile(dirScans,maskScans));
scans = {scans.name};
try, iScans; catch; iScans = 1:length(scans); end
disp(['ffx analysis: ', maskVersion{t},]);
disp(' ');
%-----------------------------------------------------------------------
% specify design matrix and contrasts
%-----------------------------------------------------------------------
cd([dirScans,scans{s},maskGLM{t}])
spm_changepath('SPM.mat','/terra/workspace/jheinzle/teaching/MethodsModelsfMRI/2017/Data/Results0001/', 'E:\Documents_E\Seminars\M&M_Mantelstudium2017\MandM\MethodsAndModels\2017\Data\Results0001\')
end


