% creates anatomical masks based on the neuromorphometrics atlas
% Lars Kasper
% 02-02-2015
%%%%%%%%%%%%%%%%%%
for i = 3:207
xA = spm_atlas(); %=> select neuromorphometrics

labelRoi = xA.labels(i).name; % string, name of example region 
VM = spm_atlas('mask', xA, labelRoi);

% change file name and save
VM.fname = ['mask_' labelRoi '.nii'];
VM = spm_write_vol(VM,VM.dat);
VM = rmfield(VM,'dat');
end
